Thứ Ba, 14 tháng 12, 2010

Lệnh FILLET với bán kính R=0, không ảnh hưởng tới lệnh FILLET hiện tại.

Trong khi vẽ nhất là quy hoạch bạn phải dùng lệnh fillet với 1 số bán kính r nhất định, nhưng thỉnh thoảng lại cần fillet với bán kính R=0 thì lại mất cái giá trị cũ cứ phải gỏ lại. Cad đời mới thì nhấn nút gì gì đó trong khi thực hiện lệnh fillet sẽ cho ra bán kính R=0 nhưng mình quen dùng lệnh nên đặt cái lisp để làm việc này.
-Bình thường bạn cứ dùng lệnh FILLET bình thường.
-Muốn FILLET với bán kính R=0 thì dùng lệnh F0, không ảnh hưởng chi tới ông FILLET cả nhé.

Bạn copy nội dung và tạo file lisp hay tải file về cũng được!

(defun c:f0)
(setq bkflcu (getvar "filletrad"))
(setvar "FILLETRAD" 0)
(command "fillet" pause)
(while (< 0 (getvar "CMDACTIVE"))
(command pause)
)
(setvar "FILLETRAD" bkflcu)
(Princ)
)

Không có nhận xét nào:

Đăng nhận xét

Khi viết nhận xét mong bạn không đứng vai trò nặc danh! Bạn có thể chọn Name/Url trong đó Url là http://duy782006.blogspot.com/ như vậy hay hơn nặc danh bạn nhé.